Hello Codeforces!
We (applepi216 and conqueror_of_tourist) are glad to invite you to Codeforces Round 1133 (Div. 1) and Codeforces Round 1133 (Div. 2), which will start at Nov/07/2026 17:35 (Moscow time).
The contests will run for 2.5 hours and have 6 tasks each. Both contests will be rated.
The round may contain an interactive problem, and we recommend recalling how interactive problems work before the round starts.
We want to thank these people, without whom this round would have been impossible:
- 244mhq for the excellent coordination!
- Um_nik for preliminary review of the round.
- users TheOneYouWant and FlakeLCR for proposing problems.
- errorgorn, Adam_GS, AksLolCoding, apgpsoop, YuukiS, dinohaur, ItsNotMeItsYou, misteg168, omsincoconut, oursaco, twosquares, Hori, madlogic, Ritwin, chromate00, Gilwall, conqueror_of_womais for testing and giving a ton of useful feedback!
- MikeMirzayanov and KAN for the wonderful Codeforces and Polygon platforms.
and of course a special thank you to all of you for participating!
The scoring distribution will be released soon.
UPD1: The scoring distribution is released.
- Div 2: $$$500 - 1000 - 1500 - 1750 - 2000 - 2500$$$
- Div 1: $$$750 - 1000 - 1250 - 1750 - 2250 - 3000$$$
UPD2: Congratulations to the winners (possibly subject to change)! We hope you enjoyed the contest!
Div 1
Div 2
The editorial will be posted soon.
UPD3: The editorial is here.









As conqueror of mishai, even I cannot conquer how great this round will be
As a tester, this is a 2x tester comment combo
As a tester, I haven't tested any other rounds except this for the last 9 months
I wanna test some rounds too :sob:
Try dming 40 different people I heard that helps
Cry's new blog: Testing a round: "Please submit your proposal here instead of doing osint to find my contacts or contacting everyone I ever spoken to tell them you want to be a tester."
How long until duyminh finds my private discord account and harasses me to propose a div4 for him
Good idea, pls propose a div4 for mei will say for both rounds I've set, I've gotten DMs from people asking if they can be testers, so it's a fairly common strategy lol.
But how do they know that you are having a round?
it's after I post the annoucement
As a tester, it is rated
I wonder if tourist will participate in this contest lol. If yes, then the author's name will lead to a dramatic scene.
Yes someone really conquered tourist's first place
I wish everyone to reach the level they want.
love this contest as it is my first contest
Open a small account and play Div.2,My large account is mo_mo_yu
Both account banned in 5, 4, 3, 2, 1...
applepi216 could you please publish the score distribution
Posted, sorry for the delay!
thx
if i didnt solved till problem C then im gay ,
if i solved till D then im not lesbian anymore
if i didnt solved till F then im a femboy who loves wrusb
im still lesbian.....
but ur skilled
Bro you're a newbie these standards are unrealistic except ABC I think you might WANT to be a gay lesbian femboy who loves wrusb (nothing wrong with that ofc)
hehehehe
Take back what I said about nothing wrong, loving wrusb is a fate worse than death
but qqrnt rejected me..... only person i have to love now is wrusb.. he is as desperate for love as i am
hope to comeback to CM right before the ICPC National tomorrow ._.
Honestly, it's a great contest with great problems. C, D, E all look fun, but I'm just having a small brain moment right now. Even A and B were intresting.
What's the Great Wall of China doing between C and D
C fried my brain .. aaaahhhh!!!!
It was just BS on ans
Brute force works aswell. If more than 2 elements exists with max value, no point reversing. if 2 such position exists, only better value that can exists will have reversal boundary at those two positions.else we can use prefix/suffix sum fixing other end to only position of max element.
oh I thought it was not monotonic.. like I can't achieve all gaps possible .. so I guess we have to binary search like can I achieve smaller gap that this value .. is that what you did ??
C>>>>>>
$$$E$$$ is actually easy for me I don't know where my code was going wrong on that one testcase, some off by one error :( I could've solved it
Did not expect to see B as an interactive problem
Thankfully, it was simple
C destroyed my brain
Great contest, thank you!
I refuse to believe D has 236 solves and E has 51 solves in div.1
Hmmm, I agree that 236 and 51 is a bit high. but I really think this Div1 was more like a Div2, ABC are really standard, C surprised me with how easy it was as the trick of l/x rounded down has only sqrt(l) possibilities is really known, I found only DEF to be interesting and I think a lot of people had like 1 hour and 45 minutes to think about D which increased the number of solvers for both problems
ItayKarny Congratulations on achieving rank 11 in your second ever Division 1 contest!
Thanks :)
but this was pure luck as I got ABC intended solution fast and was manage to program with no bugs and I am still shocked that E passed I thought in contest it was n*2^25 but Claude has now proven me it's n*2^21 or something like that so I will take it :))))
I think if I got a WA somewhere along the way I would probably not been able to fully solve E and got way worse place
Buddy your best placement before today on a Div. 1 is 200 and today you get top 11. And yesterday you took 12 tries to solve a div2C. People like you is exactly why there are 236 solves on D and 51 solves on E.
Yes bugs are part of competitive programming???
and when I am not in a competition I submit again for every little change cause there is no harm? and in contest I check things before
I don't do that much CF and yes some contest are more your style and some not?
I agree I probably don't deserve this rank and got lucky and probably will fall down in following div1 but just because the contest went bad for you doesn't mean everyone who passed you is a cheater.
the difference between 200 and 11 is one question and better timing in programing which I just got a good contest where my codes ran with practically no bugs except in E
you can stay grumpy about this one not going that well or just realize there is a lot of people that dont do that much CF but still compete for example me who did SWERC last year and this one, I was in the international training camp in Poland for the ICPC world finals and I am in the Israeli national team of cp
Hope to crash you again in the next round :)
ItayKarny it's ok, I believe you can get more ranks like this if you keep trying hard, and maybe get some coaching from AbdelmagedNour. He was exactly in your position few months ago..
I see that he is coaching the Egypt IOI team?
hopefully we will meet in this year IOI (if I get picked)
Don't worry, you don't have to "hope" to crash me next round. I can admit that frontier AI models are stronger at CP than me.
Think whatever you need so you can sleep at night little bro
your thought process is literally, hmm he did better than me, he is lower ranked -> must be cheating maybe try and think that some of us are grinding for the IOI and actually getting better and are not stuck on the same rank since 2024
crazy that codeforces gives IM to someone like that, maybe if you can hold this rank I should even be a GM
Just looked at your code to D, maybe if you would have written something that is humanly readable you would be able to make it pass and not be so grumpy. 2 years of CF to write code like this
BTW you call cheaters on every round, I get that it's your way to get on the contribution leaderboard and it's kind of pathetic
Absolutely wonderful and majestic round (except for E) as contestant, I enjoyed every single problem a lot and also found an overkill sparse table solution for c :3
C < B < A
[deleted] didnt saw ur rating [:wilted rose:], but still was div 1 A really that difficult? i mean im gonna try div 1 B,C if thats the case
you mean A B C from div1? I haven't seen div 2 tasks
Yap he meant Div1 and I completely agree
For me it was quite adamant that difficulty wise C<B<A
A<B<D<<<<<C
problem C :
deadass spent 45 mins on a broken segment tree that does not even pass the brute force the final solution is just binary search on the result, the sunk-cost fallacy really getting my back T_T
Me on every div2 (please help)
Added one extra '=' in my code for div 2 C and cost me 40 minutes trying to debug:(
Solved D quick tho:)
Too hard to implement for A,B,D :(
c binary search ?
Yap,
lets binary search over the answer, the point now that you have all the indexs i where the gap is bigger than mid which is the current value you are checking, this positions force you to split them using the range, so if there are more than 2 you cannot
if there is 2 you must just check that range
if there is 1, you sweep over all possible ends with prefix and suffix maxes over gaps, once when it's the beginning and once as the end
if 0 than it's just works
But in binary search if f(x) is true then f(x+1) must also be true In this problem I don't think that's guaranteed
we do the trick where we are binary searching not over can we make the gap = mid but gap <= mid and then the condition is met
oh i got it now,thanks for the explanation
no problem :)
You can do that without binary search too, 397749402(very bad code tho)
hmmm you claim that you can do the same thing only over the maximum gap in the original array?
yap I agree very nice!
the code doesnt look bad at all I would maybe use a lambda function but it looks fine
Yeah, doing something like
work(a), reverse(a), work(a)would make the code way betterI did not realize for D that the last 2 elements in your subset were always bad for so long and did a overcomplicated dp.
Wow, I'm so stupid that for 1C I thought $$$t \le 5 \times 10^5$$$, same constraint with $$$n$$$, where $$$O(t \sqrt l)$$$ is unacceptable, which made it take me an hour and a half to try binary search that is wrong.
Gonna drop to M or even CM :(
D is so easier than C,which must process binary data(I nearly already simulation on it)
1A 1B 1C are meaningless problems
1D: OK problem
1E: kinda-cool problem
1F: didn't solve
k1r1t0 orz
Great problems. Who did use Binary search for problem E. I love BS.
Out of curiosity, how did you binary search for it?
if you decide to make a[n] to x, then a[i] must be smaller than floor((l-1)/x). let alpha(u, v) be the number of operations making v is smaller than u. our task is naturally to minimize F(x) = alpha(x, a[n]) + \sum_(i=1)^(n-1)(floor((l-1)/x), a[i]). each terms of F is convex function. so we can find the optimal point x using BS, which is the first point that F(x) <= F(x + 1).
Oh that's a brilliant solution, though i found it much more natural to just to simply for through X since X <= sqrt(l — 1)
nice round
2.E is much easier than 2.D although didn't give contest but E clicks instantly that no more than 1 can be more than root(l) simply taking min of root(l),2nd largest value and bringing them down one by one (as rootl<=10**(5)) and checking updates needed using prefix sums and binary search works !!!!.